/*------------------------------- line_calls.c -------------------------------*/
/* Copyright 1989 Brown University -- Jeffrey Vogel                           */
/*----------------------------------------------------------------------------*/


/*--------------------------------- Includes ---------------------------------*/
/*----------------------------------------------------------------------------*/

#include "qd_local.h"



/*---------------------------------- MoveTo ----------------------------------*/
/*----------------------------------------------------------------------------*/

void
MoveTo(x, y)
int  x, y;
{
   /*** error check ***/
   if (!QDrunning) {
      QDerror("ERROR MoveTo: QuickDraw not initialized.");
      return;
   }

   QDx = x;
   QDy = y;
}


/*---------------------------------- LineTo ----------------------------------*/
/*----------------------------------------------------------------------------*/

void
LineTo(x, y)
int  x, y;
{
   /*** error check ***/
   if (!QDrunning) {
      QDerror("ERROR LineTo: QuickDraw not initialized.");
      return;
   }

   XDrawLine(QDdisplay, QDwindow, QDgc,
                  QDx, QDy, x, y);
   XFlush(QDdisplay);
   QDx = x;
   QDy = y;
}

















