/*------------------------------- misc_calls.c -------------------------------*/
/* Copyright 1989 Brown University -- Jeffrey Vogel                           */
/*----------------------------------------------------------------------------*/

/*--------------------------------- Includes ---------------------------------*/
/*----------------------------------------------------------------------------*/

#include "qd_local.h"

/*---------------------------------- Random ----------------------------------*/
/*----------------------------------------------------------------------------*/

int
Random()
{
   if (!QDrunning)
      QDerror("ERROR WaitDraw: QuickDraw never initialized.");
   return (random() % 32767);
}


/*-------------------------------- Randomize ---------------------------------*/
/*----------------------------------------------------------------------------*/

void
Randomize(seed)
int   seed;
{
   if (!QDrunning)
      QDerror("ERROR Randomize: QuickDraw never initialized.");
   if (seed)
      srandom(seed);
   else
      srandom((int) time(NULL));
}


/*--------------------------------- WaitDraw ---------------------------------*/
/*----------------------------------------------------------------------------*/

void
WaitDraw(n)
int  n;
{
   if (!QDrunning)
      QDerror("ERROR WaitDraw: QuickDraw never initialized.");
   sleep(n);
}


















