/*---------------------------- HEADER  qd_local.h ----------------------------*/
/* Copyright 1989 Brown University -- Jeffrey Vogel                           */
/*----------------------------------------------------------------------------*/


#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include "quickdraw.h"


/*-------------------------------- Constants ---------------------------------*/
/*----------------------------------------------------------------------------*/

#define COLOR__MAX_INTENSITY  65535
#define X_DEFAULTS            "/cs/data/quickdraw/Xdefaults"


#ifdef QD_BOSS
#define DECLARE
Boolean                    QDrunning = FALSE;
#else 
extern Boolean             QDrunning;
#define DECLARE extern
#endif

DECLARE Window              QDwindow;
DECLARE Window              QDroot;
DECLARE int                 QDscreen;
DECLARE Boolean             QDcolor;
DECLARE GC                  QDgc;
DECLARE GC                  QDinvertgc, QDgridgc;
DECLARE XFontStruct         *QDfontInfo[QD__MAX_FONTS];
DECLARE Font                QDfonts[QD__MAX_FONTS];
DECLARE XGCValues           QDgcValues;
DECLARE Colormap            QDcolormap;
DECLARE int                 QDwidth;
DECLARE int                 QDheight;
DECLARE int                 QDx;
DECLARE int                 QDy;
DECLARE Pixmap              QDstipple__gray;
DECLARE Pixmap              QDstipple__ltGray;
DECLARE Pixmap              QDstipple__dkGray;
DECLARE Pixmap              QDstipple__white;
DECLARE Pixmap              QDstipple__black;
DECLARE unsigned long       QDcolor__white;
DECLARE unsigned long       QDcolor__black;
DECLARE unsigned long       QDcolor__red;
DECLARE unsigned long       QDcolor__green;
DECLARE unsigned long       QDcolor__blue;
DECLARE unsigned long       QDcolor__yellow;
DECLARE unsigned long       QDcolor__cyan;
DECLARE unsigned long       QDcolor__magenta;
DECLARE char *              F1;
DECLARE char *              F2;
DECLARE char *              F3;
DECLARE char *              F4;
#undef DECLARE








#ifdef QD_BOSS
FunctionPtr         QDerrorHandler = NULL;
Display             *QDdisplay = NULL;
Boolean             QDautoDisplay = FALSE;
#else
extern FunctionPtr  QDerrorHandler;
extern Display      *QDdisplay;
extern Boolean      QDautoDisplay;
#endif

























































